#!/bin/bash

# Boot the emulated system to a shell prompt.

ARCH=armv6l
run_emulator()
{
  [ ! -z "$DEBUG" ] && set -x
  qemu-system-arm -M versatilepb -cpu arm1136-r2 -nographic -no-reboot -kernel linux -initrd rootfs.cpio.gz -append "panic=1 console=ttyAMA0 HOST=armv6l $KERNEL_EXTRA" $QEMU_EXTRA -net nic,model=rtl8139 -net user
}

if [ "$1" != "--norun" ]
then
  run_emulator
fi
